Page MenuHomePhabricator

Populate the metadata for all the different content packs we're going to be supporting
Closed, ResolvedPublic

Event Timeline

Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Qse24h closed this task as a duplicate of T164723: New git repository: <repo name>.
Aklapper reopened this task as Open.May 9 2017, 10:19 AM

The scope of this task is to come up with the verbiage and list all the links, not the mechanics.

Regarding the end point - we decided to tentatively proceed with a content service end point, we might change to wiki later.

Fjalapeno added a subscriber: RHo.Jul 6 2017, 5:10 PM

@RHo sorry to ask one more time, I didn't know this ticket already existed. Do you want a separate ticket from this one as well for creating the image assets?

Also a question for you:
At some point in the future, the metadata will be generated automatically… except for the images you are going to create now. Obviously, its not scalable for you to create a custom image for every compilation in the future.

Have you thought about this and what we should do when we get to this point?

^ I've updated the dependent tasks. Please remove these if I've made a mistake.

Mholloway renamed this task from Populate the metadata for all the different compilations we're going to be supporting to Populate the metadata for all the different content packs we're going to be supporting.Aug 11 2017, 12:50 PM

Change 373985 had a related patch set uploaded (by Mholloway; owner: Mholloway):
[apps/android/wikipedia@master] Populate metadata for downloadable ZIM files from Kiwix

https://gerrit.wikimedia.org/r/373985

Hi @RHo, this is complete except that a couple of the specified images don't appear to exist on Commons:

https://commons.wikimedia.org/wiki/File:Nomedia-Thumb-OR.svg
https://commons.wikimedia.org/wiki/File:Nomedia-Large_image-OR.svg

RHo added a comment.Aug 28 2017, 3:43 PM

hi @Mholloway - derp that was my bad, I uploaded with the incorrect language code for Odia/Oriya Wikipedia (I used OD but should have used OR) - have requested a name change for both:

https://commons.wikimedia.org/wiki/File:Nomedia-Thumb-OD.svg --> https://commons.wikimedia.org/wiki/File:Nomedia-Thumb-OR.svg
https://commons.wikimedia.org/wiki/File:Nomedia-Large_image-OD.svg --> https://commons.wikimedia.org/wiki/File:Nomedia-Large_image-OR.svg

Change 373985 merged by jenkins-bot:
[apps/android/wikipedia@master] Populate metadata for downloadable ZIM files from Kiwix

https://gerrit.wikimedia.org/r/373985

Dbrant closed this task as Resolved.Sep 11 2017, 2:57 PM